Bug 8749 - Missing Ubuntu library files in ubuntu.packages and ubuntu.12.04.packages
Summary: Missing Ubuntu library files in ubuntu.packages and ubuntu.12.04.packages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: M. Tompsett
QA Contact: Paul Poulain
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-10 16:47 UTC by M. Tompsett
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Added missing libtemplate-plugin-htmltotext to ubuntu.*.packages files (2.47 KB, patch)
2012-09-19 07:19 UTC, M. Tompsett
Details | Diff | Splinter Review
Added missing libtemplate-plugin-htmltotext to ubuntu.*.packages files (3.8.x) (2.46 KB, patch)
2012-09-19 07:20 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 8749 - Missing Ubuntu library files in ubuntu.*.packages (2.48 KB, patch)
2012-10-26 00:18 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 8749 - Missing Ubuntu library files in ubuntu.*.packages (3.8.x) (2.47 KB, patch)
2012-10-26 00:19 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2012-09-10 16:47:52 UTC
Test
----
1) Clone fresh Ubuntu install
2) sudo apt-get install git git-email
3) git clone git://git.koha-community.org/koha.git kohaclone
4) cd kohaclone
5) sudo apt-get install dselect
6) sudo dpkg --set-selections < install_misc/ubuntu.packages
7) sudo dselect
8) I,C,R,Q
9) ./koha_perl_deps.pl -m -u

                                              Installed         Required          Module is
Module Name                                   Version           Version            Required
--------------------------------------------------------------------------------------------
Template::Plugin::HtmlToText                  0 *               0.03                    Yes
Test::Strict                                  0 *               0.14                    No

--------------------------------------------------------------------------------------------

10) grep template install_misc/ubuntu.packages
11) The file (libtemplate-plugin-htmltotext-perl) is not listed
12) apply patch
13) repeat 6-9
14) should be a blank list.
Comment 1 M. Tompsett 2012-09-17 03:14:18 UTC
After looking at the 3.8.x repo, I realized this was only a problem with the 3.8.4 release. It should be corrected in the 3.8.5 release.
Comment 2 M. Tompsett 2012-09-19 07:15:03 UTC
DOH! wrong git branch. Bug exists in master and 3.8.x only.
Comment 3 M. Tompsett 2012-09-19 07:19:02 UTC Comment hidden (obsolete)
Comment 4 M. Tompsett 2012-09-19 07:20:47 UTC Comment hidden (obsolete)
Comment 5 Tomás Cohen Arazi 2012-10-26 00:18:01 UTC
Created attachment 13066 [details] [review]
Bug 8749 - Missing Ubuntu library files in ubuntu.*.packages

Added:
   libtemplate-plugin-htmltotext-perl	install
into the four files, as this is available in the
debian.koha-community.org repository.

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 6 Tomás Cohen Arazi 2012-10-26 00:19:58 UTC
Created attachment 13067 [details] [review]
Bug 8749 - Missing Ubuntu library files in ubuntu.*.packages (3.8.x)

Added
   libtemplate-plugin-htmltotext-perl	install
into the ubuntu.*.packages files. The missing library exists in
the debian.koha-community.org repository.

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 7 Paul Poulain 2012-10-29 12:40:10 UTC
QA comment: both patches are almost the same, and I don't understand if I should apply both of them (sounds illogical), if one should be obsoleted, if one is for 3.8 and the other for master

explanation welcomes ;-)
Comment 8 M. Tompsett 2012-10-29 16:01:48 UTC
The differences are which file are patched. Master and 3.8.x didn't apply cleanly last I tried, because Master had more dependencies. I think that was the difference. Open the two in two separate tabs, switch back and forth. The third section shows indentation differences and file differences. tcohen forgot to match which one was 3.8.x, but it should be obvious when the patch fails to apply. Compare it to the obsoleted ones to know for sure. :)
Comment 9 Paul Poulain 2012-10-29 17:19:09 UTC
(In reply to comment #8)
> The differences are which file are patched. Master and 3.8.x didn't apply
> cleanly last I tried, because Master had more dependencies. I think that was
> the difference. Open the two in two separate tabs, switch back and forth.
> The third section shows indentation differences and file differences. tcohen
> forgot to match which one was 3.8.x, but it should be obvious when the patch
> fails to apply. Compare it to the obsoleted ones to know for sure. :)

perfect, thanks

QA comment: tiny patch, add needed dependencies in Ubuntu packages, passed QA
Comment 10 Paul Poulain 2012-10-29 17:19:31 UTC
Patch pushed to master
Comment 11 Chris Cormack 2012-10-30 21:45:28 UTC
Pushed to 3.8.x will be in 3.8.7